export class Client {
  login(username, password) {
    // ToDo: handle error
    return fetch("/api/login", {
      method: 'POST',
      headers: { 'Content-Type': 'application/json' },
      body: JSON.stringify({ username, password })
    }).then(r => r.text()).then(token => {
      localStorage.setItem('token', token)
      return token
    })
  }
}

const client = new Client()
export default client
